Operations Management/Tenant Management (Plus)/Ticket Operations
PUTTicket OperationsSince 3.0.0SynchronousAuth Required
ChangeTicketFlowCollectionState
ChangeTicketFlowCollectionState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
changeticketflowcollectionstateObjectRequiredchangeticketflowcollectionstate request body object.
stateEventStringRequired状态事件。
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/tickets/flow-collections/{uuid}/actions
/zstack/v1/tickets/flow-collections/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/tickets/flow-collections/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeticketflowcollectionstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "34d5466ff50d4e719aa854c2a1d58e81", "name": "collection name", "state": "Enabled", "status": "Valid", "isDefault": false, "flows": [] } }Change History
This API has no change history records yet.
